#!/bin/bash
########################
# Script untuk melakukan installasi script deepfreeze karmic
# Oleh : Andrian Dion P. <andrew_dion04@ugm.ac.id>
#        Fathir Hamdi <fathirhamdi@ugm.ac.id>
# 	 
#
# (C) 2008 GPL v2

## Make sure only root can run our script
if [[ $EUID -ne 0 ]]; then
   gksudo bash $0
   exit 1
fi

##mengcopykan file script
mv -v make-freeze.sh /root >> /tmp/logInstall
mv -v deepfreeze-0.2.sh /root/ >> /tmp/logInstall

##membuat konfigurasi session freeze
if `ls /etc/gdm/PreSession/ | grep -q Default.backup`; then
       $(exit 0)
else
	cp /etc/gdm/PreSession/Default /etc/gdm/PreSession/Default.backup
	echo -e "bash /root/deepfreeze-0.2.sh" >> /etc/gdm/PreSession/Default
fi

##creating program /usr/sbin
echo "#!/bin/bash" > /usr/sbin/make-freeze
echo "bash /root/make-freeze.sh " >> /usr/sbin/make-freeze
chmod +x /usr/sbin/make-freeze

##menjalankan script beku
make-freeze

sleep 2

echo -e "#########################################"
echo -e "#  Installasi UGOSFreeze sudah selesai  #"
echo -e "#         silahkan lihat di :           # "
echo -e "#     /root/backup-desktop.tar.bz2      #"
echo -e "#             terima kasih              #"
echo -e "#########################################"
echo "`date`::Proses Installasi selesai."  >> /tmp/logInstall
echo -e "Yogyakarta, `date +%A", "%d" "%B" "%Y". Pukul "%H":"%M`"
echo "`date`::Terima Kasih. ^_^"  >> /tmp/logInstall

