#! /bin/bash
#
#
# mendefinisikan dulu nama user yang ingin di-freeze
#user="ugos";
user=`cat /etc/passwd | grep 1000 | awk -F: '{ print $1 }'`;

# mendefiniskan nama grup
group=$user;

# mendefiniskan nama folder home user didalam /home
home=$user;

#folder_root_simpen="/root/simpen"
folder_root_simpen="/root/simpen-bleh"
mkdir $folder_root_simpen

# mengbah chmod /root/simpen ke dalam ownership user
chown -v $user:$group $folder_root_simpen

# menyalin isi kedalam folder /root/simpen
cp -avr /home/$home/.gconf $folder_root_simpen
cp -avr /home/$home/.gconfd $folder_root_simpen
cp -avr /home/$home/.gnome $folder_root_simpen
cp -avr /home/$home/.gnome2 $folder_root_simpen
cp -avr /home/$home/.gnome2_private $folder_root_simpen
cp -avr /home/$home/.metacity $folder_root_simpen
cp -avr /home/$home/.mozilla $folder_root_simpen
cp -avr /home/$home/.opera $folder_root_simpen
cp -avr /home/$home/Desktop $folder_root_simpen

# berpindah direktori dulu ke root_simpen
cd $folder_root_simpen

# melakukan kompresi dengan tar.bz2
tar -jcvf /root/backup-desktop.tar.bz2 ./

# mengecek dan memastikan file yang didalam tar sudah benar
tar -jtvf /root/backup-desktop.tar.bz2

# kemudian directory untuk menyimpan backup-nya yang untuk bikin tar, dihapus
rm -frv $folder_root_simpen

echo -e "#######################################"
echo -e "# membuat file backup freeze selesai! #"
echo -e "#        silahkan lihat di :          # "
echo -e "#   /root/backup-desktop.tar.bz2      #"
echo -e "#           terima kasih              #"
echo -e "#######################################"


